petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISContiguousLocal

Locates an index set with contiguous range within a global range, if possible

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISContiguousLocal(IS is,PetscInt gstart,PetscInt gend,PetscInt *start,PetscBool *contig)

Not Collective Many br

### Input Parmeters

| is | - the index set Many br
| gstart | - global start Many br
| gend | - global end Many br

### Output Parameters

| start | - start of contiguous block, as an offset from gstart Many br
| contig | - PETSC_TRUE if the index set refers to contiguous entries on this process, else PETSC_FALSE Many br

Many br

### See Also

ISGetLocalSize(), VecGetOwnershipRange()

Level:developer
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages